### Method

# Ide Grid focus_neighbor

#### Declaration

    IdePage*
    ide_grid_focus_neighbor (
      IdeGrid* self,
      GtkDirectionType dir
    )

#### Description

Attempts to focus a neighbor `IdePage` in the grid based on the direction requested.

If an `IdePage` was focused, it will be returned to the caller.

Available since: | 3.32

#### Parameters

`dir` | `GtkDirectionType`
| The direction for the focus change.

#### Return value

Returns: | `IdePage`
| An `IdePage` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.